Instead of performing an in-place upgrade to vCenter Server, you might want to use a different machine for your upgrade. Because vCenter Server 5.x requires a 64-bit platform, you cannot upgrade from a version of vCenter Server installed on a 32-bit platform.

The vCenter Server 5.0 installation media include a data migration tool. When you upgrade to version 5.0, you can use this tool to migrate configuration information such as port settings, SSL certificates, and license information from your existing vCenter Server host. This data migration tool is not supported for vCenter Server versions 5.1 and later. You cannot directly migrate an existing vCenter Server to a different machine during an upgrade to version 5.1.x or 5.5. You can migrate an existing vCenter Server to a different machine during an upgrade to version 5.0, and then perform an in-place upgrade from version 5.0 to version 5.1.x or 5.5. See the version 5.0 vSphere Upgrade documentation.